# gui.find

Textadept's integrated find/replace dialog.

- - -

## Fields

- - -

<a id="find_entry_text"></a>
### `find_entry_text` (string)

The text in the find entry.

- - -

<a id="find_label_text"></a>
### `find_label_text` (string, Write-only)

The text of the 'Find' label.
  This is primarily used for localization.

- - -

<a id="find_next_button_text"></a>
### `find_next_button_text` (string, Write-only)

The text of the 'Find Next' button.
  This is primarily used for localization.

- - -

<a id="find_prev_button_text"></a>
### `find_prev_button_text` (string, Write-only)

The text of the 'Find Prev' button.
  This is primarily used for localization.

- - -

<a id="in_files"></a>
### `in_files` (bool)

Search for the text in a list of files.

- - -

<a id="in_files_label_text"></a>
### `in_files_label_text` (string, Write-only)

The text of the 'In files' label.
  This is primarily used for localization.

- - -

<a id="lua"></a>
### `lua` (bool)

The search text is interpreted as a Lua pattern.

- - -

<a id="lua_pattern_label_text"></a>
### `lua_pattern_label_text` (string, Write-only)

The text of the 'Lua pattern' label.
  This is primarily used for localization.

- - -

<a id="match_case"></a>
### `match_case` (bool)

Searches are case-sensitive.

- - -

<a id="match_case_label_text"></a>
### `match_case_label_text` (string, Write-only)

The text of the 'Match case' label.
  This is primarily used for localization.

- - -

<a id="replace_all_button_text"></a>
### `replace_all_button_text` (string, Write-only)

The text of the 'Replace All' button.
  This is primarily used for localization.

- - -

<a id="replace_button_text"></a>
### `replace_button_text` (string, Write-only)

The text of the 'Replace' button.
  This is primarily used for localization.

- - -

<a id="replace_entry_text"></a>
### `replace_entry_text` (string)

The text in the replace entry.

- - -

<a id="replace_label_text"></a>
### `replace_label_text` (string, Write-only)

The text of the 'Replace' label.
  This is primarily used for localization.

- - -

<a id="whole_word"></a>
### `whole_word` (bool)

Only whole-word matches are allowed in searches.

- - -

<a id="whole_word_label_text"></a>
### `whole_word_label_text` (string, Write-only)

The text of the 'Whole word' label.
  This is primarily used for localization.

- - -


## Functions

- - -

<a id="find_in_files"></a>
### `find_in_files` (utf8\_dir)

Performs a find in files with the given directory.
Use the `gui.find` fields to set the text to find and option flags.

Parameters:

* `utf8_dir`: UTF-8 encoded directory name. If none is provided, the user
  is prompted for one.

- - -

<a id="find_incremental"></a>
### `find_incremental` ()

Begins an incremental find using the Lua command entry.
Lua command functionality will be unavailable until the search is finished
(pressing 'Escape' by default).

- - -

<a id="find_next"></a>
### `find_next` ()

Mimicks a press of the 'Find Next' button in the Find box.

- - -

<a id="find_prev"></a>
### `find_prev` ()

Mimicks a press of the 'Find Prev' button in the Find box.

- - -

<a id="focus"></a>
### `focus` ()

Displays and focuses the find/replace dialog.

- - -

<a id="goto_file_in_list"></a>
### `goto_file_in_list` (next)

Goes to the next or previous file found relative to the file
on the current line.

Parameters:

* `next`: Flag indicating whether or not to go to the next file.

- - -

<a id="replace"></a>
### `replace` ()

Mimicks a press of the 'Replace' button in the Find box.

- - -

<a id="replace_all"></a>
### `replace_all` ()

Mimicks a press of the 'Replace All' button in the Find box.

- - -


